ListIntegratedResources - AWS Security Agent

ListIntegratedResources

Lists the integrated resources for an agent space, optionally filtered by integration or resource type.

Request Syntax

POST /ListIntegratedResources HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "integrationId": "string", "maxResults": number, "nextToken": "string", "resourceType": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space to list integrated resources for.

Type: String

Required: Yes

integrationId

The unique identifier of the integration to filter by.

Type: String

Required: No

maxResults

The maximum number of results to return in a single call.

Type: Integer

Required: No

nextToken

A token to use for paginating results that are returned in the response. Set the value of this parameter to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.

Type: String

Required: No

resourceType

The type of resource to filter by.

Type: String

Valid Values: CODE_REPOSITORY

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "integratedResourceSummaries": [ { "capabilities": { ... }, "integrationId": "string", "resource": { ... } } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

integratedResourceSummaries

The list of integrated resource summaries.

Type: Array of IntegratedResourceSummary objects

nextToken

A token to use for paginating results that are returned in the response. Set the value of this parameter to null for the first request. For subsequent calls, use the nextToken value returned from the previous request.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerException

An unexpected error occurred during the processing of your request.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource was not found. Verify that the resource identifier is correct and that the resource exists in the specified agent space or account.

HTTP Status Code: 404

ThrottlingException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: